FreeMat

- Main Page
- Related Pages

vtkOverlayPass

Section: Visualization Toolkit Rendering Classes

# Usage

vtkOverlayPass renders the overlay geometry of all the props that have the keys contained in vtkRenderState.

This pass expects an initialized depth buffer and color buffer. Initialized buffers means they have been cleared with farest z-value and background color/gradient/transparent color.

To create an instance of class vtkOverlayPass, simply invoke its constructor as follows

      obj = vtkOverlayPass

# Methods

The class vtkOverlayPass has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkOverlayPass class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkOverlayPass = obj.NewInstance ()`
- `vtkOverlayPass = obj.SafeDownCast (vtkObject o)`